Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Notification_Buffer Class Reference

Simple wrapper for passing <ACE_Event_Handler *>s and <ACE_Reactor_Mask>s between threads. More...

`#include <Event_Handler.h>`

Collaboration diagram for ACE_Notification_Buffer:

[legend]
List of all members.

## Public Methods
| ACE_Notification_Buffer (void)
| ACE_Notification_Buffer (ACE_Event_Handler *eh, ACE_Reactor_Mask mask)
| ~ACE_Notification_Buffer (void)
| Default dtor.
## Public Attributes
ACE_Event_Handler * | eh_
ACE_Reactor_Mask | mask_
| Mask that indicates which method to call.

## Detailed Description

Simple wrapper for passing <ACE_Event_Handler *>s and <ACE_Reactor_Mask>s between threads.

## Constructor & Destructor Documentation

ACE_Notification_Buffer::ACE_Notification_Buffer | ( | void |  | ) |

ACE_Notification_Buffer::ACE_Notification_Buffer | ( | ACE_Event_Handler * | eh,
|  | ACE_Reactor_Mask | mask
| ) |

ACE_INLINE ACE_Notification_Buffer::~ACE_Notification_Buffer | ( | void |  | ) |

| Default dtor.

## Member Data Documentation

ACE_Event_Handler* ACE_Notification_Buffer::eh_

| Pointer to the Event_Handler that will be dispatched by the main event loop.

ACE_Reactor_Mask ACE_Notification_Buffer::mask_

| Mask that indicates which method to call.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Event_Handler.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Event_Handler.cpp
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Event_Handler.i